<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/expansionmenudialog_marketsetquantity.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dec/a01952_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmenudialog_marketsetquantity.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dec/a01952.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMenuDialog_MarketSetQuantity.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a>: <a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">   15</a></span>    ref <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a> <a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">   16</a></span>    ref <a class="code hl_function" href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a> <a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">   17</a></span>    ref <a class="code hl_class" href="../../d6/d0c/a06222.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a> <a class="code hl_variable" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">m_AcceptButton</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">   18</a></span>    ref <a class="code hl_class" href="../../d1/d8c/a06226.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a> <a class="code hl_variable" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">m_CancelButton</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">   20</a></span>    ref <a class="code hl_class" href="../../dc/d36/a06074.html">ExpansionMarketMenu</a> <a class="code hl_variable" href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">m_MarketMenu</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// ExpansionMenuDialog_MarketSetQuantity Constructor</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a6f3e2507c7fa2e9bae3b6b2fc4764087">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d01/a06218.html#a6f3e2507c7fa2e9bae3b6b2fc4764087">ExpansionMenuDialog_MarketSetQuantity</a>(<a class="code hl_class" href="../../d5/dfc/a05210.html">ExpansionScriptViewMenu</a> parentMenu)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a> = parentMenu;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">m_MarketMenu</a>)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">m_MarketMenu</a> = <a class="code hl_class" href="../../dc/d36/a06074.html">ExpansionMarketMenu</a>.Cast(<a class="code hl_variable" href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">m_ParentMenu</a>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_function" href="../../d8/dbe/a01370.html#a3b2524fec1e068138b6154f8b4a5597c">ExpansionMenuDialogContentSpacer</a> spacer;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        spacer = <span class="keyword">new</span> <a class="code hl_function" href="../../d8/dbe/a01370.html#a3b2524fec1e068138b6154f8b4a5597c">ExpansionMenuDialogContentSpacer</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(spacer);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a>)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(<a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a>.SetText(<span class="stringliteral">&quot;#STR_EXPANSION_MARKET_QUANTITY_DIALOG_TEXT&quot;</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">m_Text</a>.Show();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        spacer = <span class="keyword">new</span> <a class="code hl_function" href="../../d8/dbe/a01370.html#a3b2524fec1e068138b6154f8b4a5597c">ExpansionMenuDialogContentSpacer</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(spacer);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">AddContent</a>(<a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>.Show();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>.SetEditboxText(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">m_AcceptButton</a>)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">m_AcceptButton</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/d0c/a06222.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">m_AcceptButton</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">m_AcceptButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">m_CancelButton</a>)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">m_CancelButton</a> = <a class="code hl_class" href="../../d1/d8c/a06226.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <a class="code hl_function" href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">AddButton</a>(<a class="code hl_variable" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">m_CancelButton</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_variable" href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">m_CancelButton</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../d6/d45/a05282.html#ace26562697c701a5448e4f615622e785">CenterVertically</a>();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// ExpansionMenuDialog_MarketSetQuantity GetDialogTitle</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a4af65530a0742c4b805356281c6d0bdc">   76</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d01/a06218.html#a4af65530a0742c4b805356281c6d0bdc">GetDialogTitle</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_MARKET_QUANTITY_DIALOG_TITLE&quot;</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="comment">// ExpansionMenuDialog_MarketSetQuantity GetEditbox</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a4772a2d3f608b9900fdfd33c109aa1ab">   84</a></span>    <a class="code hl_function" href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a> <a class="code hl_function" href="../../de/d01/a06218.html#a4772a2d3f608b9900fdfd33c109aa1ab">GetEditbox</a>()</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">m_Editbox</a>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// ExpansionMenuDialog_MarketSetQuantity GetMarketMenu</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../de/d01/a06218.html#a7b4e76aba5e642912480b4536af0610a">   92</a></span>    <a class="code hl_class" href="../../dc/d36/a06074.html">ExpansionMarketMenu</a> <a class="code hl_function" href="../../de/d01/a06218.html#a7b4e76aba5e642912480b4536af0610a">GetMarketMenu</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">m_MarketMenu</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d6/d0c/a06222.html">   98</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d0c/a06222.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>{</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">  100</a></span>    ref <a class="code hl_class" href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a> <a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="comment">// ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept Constructor</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d6/d0c/a06222.html#a7a1dda90f1885de513b00ad60f0b7d15">  105</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d0c/a06222.html#a7a1dda90f1885de513b00ad60f0b7d15">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;      </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a>)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a> = <a class="code hl_class" href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;#STR_EXPANSION_MARKET_QUANTITY_ACCEPT&quot;</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="comment">// ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept OnButtonClick</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d6/d0c/a06222.html#ac4bf7c2b108c872a5d90a9cb8f9f21af">  118</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d0c/a06222.html#ac4bf7c2b108c872a5d90a9cb8f9f21af">OnButtonClick</a>()</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a>.<a class="code hl_function" href="../../de/d01/a06218.html#a4772a2d3f608b9900fdfd33c109aa1ab">GetEditbox</a>().GetEditboxText() != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="keywordtype">string</span> quantity = <a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a>.<a class="code hl_function" href="../../de/d01/a06218.html#a4772a2d3f608b9900fdfd33c109aa1ab">GetEditbox</a>().GetEditboxText();</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            TStringArray allNumbers = {<span class="stringliteral">&quot;0&quot;</span>,<span class="stringliteral">&quot;1&quot;</span>,<span class="stringliteral">&quot;2&quot;</span>,<span class="stringliteral">&quot;3&quot;</span>,<span class="stringliteral">&quot;4&quot;</span>,<span class="stringliteral">&quot;5&quot;</span>,<span class="stringliteral">&quot;6&quot;</span>,<span class="stringliteral">&quot;7&quot;</span>,<span class="stringliteral">&quot;8&quot;</span>,<span class="stringliteral">&quot;9&quot;</span>};</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; quantity.Length(); i++)</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                <span class="keywordflow">if</span> (allNumbers.Find(quantity.Get(i)) == -1)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                    <a class="code hl_function" href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(<span class="stringliteral">&quot;STR_EXPANSION_MARKET_TITLE&quot;</span>, <span class="stringliteral">&quot;STR_EXPANSION_MARKET_QUANTITY_ERROR_NUMBERS&quot;</span>).<a class="code hl_function" href="../../de/da2/a04294.html#a18f15b5a59936b7de943b80b6433815b">Error</a>();</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>                    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <a class="code hl_variable" href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">m_SetQuantityDialog</a>.<a class="code hl_function" href="../../de/d01/a06218.html#a7b4e76aba5e642912480b4536af0610a">GetMarketMenu</a>().<a class="code hl_function" href="../../dc/d36/a06074.html#a9a84e91a57d6408d0b4580f735cd12b3">SetQuantity</a>(quantity);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>};</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d1/d8c/a06226.html">  138</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d8c/a06226.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a>: <a class="code hl_class" href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>{</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">  140</a></span>    ref <a class="code hl_class" href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a> <a class="code hl_variable" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">m_SetQuantityDialog</a>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <span class="comment">// ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel Constructor</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d1/d8c/a06226.html#a2aa2a7505485efe83c4db272d01f4461">  145</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d8c/a06226.html#a2aa2a7505485efe83c4db272d01f4461">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a>(<a class="code hl_class" href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">m_SetQuantityDialog</a>)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <a class="code hl_variable" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">m_SetQuantityDialog</a> = <a class="code hl_class" href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a>.Cast(<a class="code hl_variable" href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <a class="code hl_function" href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="stringliteral">&quot;#STR_EXPANSION_MARKET_QUANTITY_CANCLE&quot;</span>);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    <span class="comment">// ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel OnButtonClick</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d1/d8c/a06226.html#a2d66b091252441efa0817832f0ac62fe">  158</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d8c/a06226.html#a2d66b091252441efa0817832f0ac62fe">OnButtonClick</a>()</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_variable" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">m_SetQuantityDialog</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <a class="code hl_variable" href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">m_SetQuantityDialog</a>.<a class="code hl_function" href="../../de/d01/a06218.html#a7b4e76aba5e642912480b4536af0610a">GetMarketMenu</a>().<a class="code hl_function" href="../../dc/d36/a06074.html#a1b3039ca3a43b553efa9a4680871cbda">SetMenuState</a>(<a class="code hl_enumeration" href="../../de/da9/a01934.html#a59f555e4cf0d0b298dbb85dab72d4061">ExpansionMarketMenuState</a>.NONE);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>};</div>
<div class="ttc" id="aa00731_html_a035f8a89b4bc04b99c33feb27da703fd"><div class="ttname"><a href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a></div><div class="ttdeci">class ExpansionNotificationTemplate&lt; Class T &gt; ExpansionNotification(StringLocaliser title, StringLocaliser text, string icon=&quot;&quot;, int color=0, float time=7, ExpansionNotificationType type=ExpansionNotificationType.TOAST)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00066">expansionnotificationsystem.c:132</a></div></div>
<div class="ttc" id="aa01358_html_a28f4d80b4896bf3bfb51c251868882fb"><div class="ttname"><a href="../../de/d5c/a01358.html#a28f4d80b4896bf3bfb51c251868882fb">ExpansionMenuDialogContent_Editbox</a></div><div class="ttdeci">void ExpansionMenuDialogContent_Editbox(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/a01358_source.html#l00059">expansiondialogcontent_editbox.c:59</a></div></div>
<div class="ttc" id="aa01361_html_a3a744778e6fcfabd0b481b677172bc9b"><div class="ttname"><a href="../../d2/d1f/a01361.html#a3a744778e6fcfabd0b481b677172bc9b">ExpansionMenuDialogContent_Text</a></div><div class="ttdeci">void ExpansionMenuDialogContent_Text(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1f/a01361_source.html#l00076">expansiondialogcontent_text.c:76</a></div></div>
<div class="ttc" id="aa01370_html_a3b2524fec1e068138b6154f8b4a5597c"><div class="ttname"><a href="../../d8/dbe/a01370.html#a3b2524fec1e068138b6154f8b4a5597c">ExpansionMenuDialogContentSpacer</a></div><div class="ttdeci">ExpansionDialogContentSpacer ExpansionDialogContentBase ExpansionMenuDialogContentSpacer(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbe/a01370_source.html#l00001">expansiondialogbase.c:28</a></div></div>
<div class="ttc" id="aa01934_html_a59f555e4cf0d0b298dbb85dab72d4061"><div class="ttname"><a href="../../de/da9/a01934.html#a59f555e4cf0d0b298dbb85dab72d4061">ExpansionMarketMenuState</a></div><div class="ttdeci">ExpansionMarketMenuState</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da9/a01934_source.html#l00013">expansionmarketmenustate.c:14</a></div></div>
<div class="ttc" id="aa04294_html_a18f15b5a59936b7de943b80b6433815b"><div class="ttname"><a href="../../de/da2/a04294.html#a18f15b5a59936b7de943b80b6433815b">ExpansionNotificationTemplate&lt; Class T &gt;::Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00107">expansionnotificationsystem.c:107</a></div></div>
<div class="ttc" id="aa05206_html_a3df22f8ba7c31b6d3c427c1b5fcb2382"><div class="ttname"><a href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">ExpansionScriptView::Show</a></div><div class="ttdeci">override void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00027">expansionscriptview.c:27</a></div></div>
<div class="ttc" id="aa05206_html_afa9acd67cb0ab6d711d00b2862717201"><div class="ttname"><a href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">ExpansionScriptView::Hide</a></div><div class="ttdeci">override void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00034">expansionscriptview.c:34</a></div></div>
<div class="ttc" id="aa05210_html"><div class="ttname"><a href="../../d5/dfc/a05210.html">ExpansionScriptViewMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d85/a01352_source.html#l00013">expansionscriptviewmenu.c:14</a></div></div>
<div class="ttc" id="aa05218_html"><div class="ttname"><a href="../../dc/d72/a05218.html">ExpansionMenuDialogButton_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00076">expansiondialogbutton_text.c:77</a></div></div>
<div class="ttc" id="aa05218_html_ad49391f8b5274b27d2bfa6a442e99030"><div class="ttname"><a href="../../dc/d72/a05218.html#ad49391f8b5274b27d2bfa6a442e99030">ExpansionMenuDialogButton_Text::SetButtonText</a></div><div class="ttdeci">void SetButtonText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00107">expansiondialogbutton_text.c:107</a></div></div>
<div class="ttc" id="aa05282_html"><div class="ttname"><a href="../../d6/d45/a05282.html">ExpansionMenuDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00013">expansionmenudialogbase.c:14</a></div></div>
<div class="ttc" id="aa05282_html_a36866e5a70c869f3eacaae5cc554c023"><div class="ttname"><a href="../../d6/d45/a05282.html#a36866e5a70c869f3eacaae5cc554c023">ExpansionMenuDialogBase::m_ParentMenu</a></div><div class="ttdeci">ref ExpansionScriptViewMenu m_ParentMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00025">expansionmenudialogbase.c:25</a></div></div>
<div class="ttc" id="aa05282_html_a3e179810853ba00cb5213574c95cd241"><div class="ttname"><a href="../../d6/d45/a05282.html#a3e179810853ba00cb5213574c95cd241">ExpansionMenuDialogBase::AddButton</a></div><div class="ttdeci">void AddButton(ExpansionMenuDialogButtonBase button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00103">expansionmenudialogbase.c:103</a></div></div>
<div class="ttc" id="aa05282_html_ace26562697c701a5448e4f615622e785"><div class="ttname"><a href="../../d6/d45/a05282.html#ace26562697c701a5448e4f615622e785">ExpansionMenuDialogBase::CenterVertically</a></div><div class="ttdeci">void CenterVertically()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00113">expansionmenudialogbase.c:113</a></div></div>
<div class="ttc" id="aa05282_html_ad60970f8cd99cbfadfb4cda8ec23e6cf"><div class="ttname"><a href="../../d6/d45/a05282.html#ad60970f8cd99cbfadfb4cda8ec23e6cf">ExpansionMenuDialogBase::AddContent</a></div><div class="ttdeci">void AddContent(ExpansionMenuDialogContentBase content)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00098">expansionmenudialogbase.c:98</a></div></div>
<div class="ttc" id="aa05286_html_adb35553de9fa889dccdee489d175e51f"><div class="ttname"><a href="../../d6/d14/a05286.html#adb35553de9fa889dccdee489d175e51f">ExpansionMenuDialogButtonBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionMenuDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d38/a01373_source.html#l00170">expansionmenudialogbase.c:170</a></div></div>
<div class="ttc" id="aa06074_html"><div class="ttname"><a href="../../dc/d36/a06074.html">ExpansionMarketMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d31/a01892_source.html#l00013">expansionmarketmenu.c:14</a></div></div>
<div class="ttc" id="aa06074_html_a1b3039ca3a43b553efa9a4680871cbda"><div class="ttname"><a href="../../dc/d36/a06074.html#a1b3039ca3a43b553efa9a4680871cbda">ExpansionMarketMenu::SetMenuState</a></div><div class="ttdeci">void SetMenuState(ExpansionMarketMenuState state)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d31/a01892_source.html#l03645">expansionmarketmenu.c:3645</a></div></div>
<div class="ttc" id="aa06074_html_a9a84e91a57d6408d0b4580f735cd12b3"><div class="ttname"><a href="../../dc/d36/a06074.html#a9a84e91a57d6408d0b4580f735cd12b3">ExpansionMarketMenu::SetQuantity</a></div><div class="ttdeci">void SetQuantity(string quantity)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d31/a01892_source.html#l02660">expansionmarketmenu.c:2660</a></div></div>
<div class="ttc" id="aa06218_html"><div class="ttname"><a href="../../de/d01/a06218.html">ExpansionMenuDialog_MarketSetQuantity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00013">expansionmenudialog_marketsetquantity.c:14</a></div></div>
<div class="ttc" id="aa06218_html_a294f3f46744ec77dba58c9e0772d7c58"><div class="ttname"><a href="../../de/d01/a06218.html#a294f3f46744ec77dba58c9e0772d7c58">ExpansionMenuDialog_MarketSetQuantity::m_Text</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Text m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00015">expansionmenudialog_marketsetquantity.c:15</a></div></div>
<div class="ttc" id="aa06218_html_a4772a2d3f608b9900fdfd33c109aa1ab"><div class="ttname"><a href="../../de/d01/a06218.html#a4772a2d3f608b9900fdfd33c109aa1ab">ExpansionMenuDialog_MarketSetQuantity::GetEditbox</a></div><div class="ttdeci">ExpansionMenuDialogContent_Editbox GetEditbox()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00084">expansionmenudialog_marketsetquantity.c:84</a></div></div>
<div class="ttc" id="aa06218_html_a4af65530a0742c4b805356281c6d0bdc"><div class="ttname"><a href="../../de/d01/a06218.html#a4af65530a0742c4b805356281c6d0bdc">ExpansionMenuDialog_MarketSetQuantity::GetDialogTitle</a></div><div class="ttdeci">override string GetDialogTitle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00076">expansionmenudialog_marketsetquantity.c:76</a></div></div>
<div class="ttc" id="aa06218_html_a68ee09708d9baae808b0ece9191da18c"><div class="ttname"><a href="../../de/d01/a06218.html#a68ee09708d9baae808b0ece9191da18c">ExpansionMenuDialog_MarketSetQuantity::m_CancelButton</a></div><div class="ttdeci">ref ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel m_CancelButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00018">expansionmenudialog_marketsetquantity.c:18</a></div></div>
<div class="ttc" id="aa06218_html_a6f3e2507c7fa2e9bae3b6b2fc4764087"><div class="ttname"><a href="../../de/d01/a06218.html#a6f3e2507c7fa2e9bae3b6b2fc4764087">ExpansionMenuDialog_MarketSetQuantity::ExpansionMenuDialog_MarketSetQuantity</a></div><div class="ttdeci">void ExpansionMenuDialog_MarketSetQuantity(ExpansionScriptViewMenu parentMenu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00025">expansionmenudialog_marketsetquantity.c:25</a></div></div>
<div class="ttc" id="aa06218_html_a7b4e76aba5e642912480b4536af0610a"><div class="ttname"><a href="../../de/d01/a06218.html#a7b4e76aba5e642912480b4536af0610a">ExpansionMenuDialog_MarketSetQuantity::GetMarketMenu</a></div><div class="ttdeci">ExpansionMarketMenu GetMarketMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00092">expansionmenudialog_marketsetquantity.c:92</a></div></div>
<div class="ttc" id="aa06218_html_abc78ce84c205ee4bc9aa63c7bdbf29a5"><div class="ttname"><a href="../../de/d01/a06218.html#abc78ce84c205ee4bc9aa63c7bdbf29a5">ExpansionMenuDialog_MarketSetQuantity::m_MarketMenu</a></div><div class="ttdeci">ref ExpansionMarketMenu m_MarketMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00020">expansionmenudialog_marketsetquantity.c:20</a></div></div>
<div class="ttc" id="aa06218_html_ad8107fa99830e264c9cf57ef947c1f58"><div class="ttname"><a href="../../de/d01/a06218.html#ad8107fa99830e264c9cf57ef947c1f58">ExpansionMenuDialog_MarketSetQuantity::m_Editbox</a></div><div class="ttdeci">ref ExpansionMenuDialogContent_Editbox m_Editbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00016">expansionmenudialog_marketsetquantity.c:16</a></div></div>
<div class="ttc" id="aa06218_html_afdb307e323a7c495ec5b957e0d8b4f33"><div class="ttname"><a href="../../de/d01/a06218.html#afdb307e323a7c495ec5b957e0d8b4f33">ExpansionMenuDialog_MarketSetQuantity::m_AcceptButton</a></div><div class="ttdeci">ref ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept m_AcceptButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00017">expansionmenudialog_marketsetquantity.c:17</a></div></div>
<div class="ttc" id="aa06222_html"><div class="ttname"><a href="../../d6/d0c/a06222.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00098">expansionmenudialog_marketsetquantity.c:99</a></div></div>
<div class="ttc" id="aa06222_html_a7a1dda90f1885de513b00ad60f0b7d15"><div class="ttname"><a href="../../d6/d0c/a06222.html#a7a1dda90f1885de513b00ad60f0b7d15">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept::ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept</a></div><div class="ttdeci">void ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00105">expansionmenudialog_marketsetquantity.c:105</a></div></div>
<div class="ttc" id="aa06222_html_ac4bf7c2b108c872a5d90a9cb8f9f21af"><div class="ttname"><a href="../../d6/d0c/a06222.html#ac4bf7c2b108c872a5d90a9cb8f9f21af">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00118">expansionmenudialog_marketsetquantity.c:118</a></div></div>
<div class="ttc" id="aa06222_html_aea8b1cc4706780ef621a484b0519c98e"><div class="ttname"><a href="../../d6/d0c/a06222.html#aea8b1cc4706780ef621a484b0519c98e">ExpansionMenuDialogButton_Text_MarketSetQuantity_Accept::m_SetQuantityDialog</a></div><div class="ttdeci">ref ExpansionMenuDialog_MarketSetQuantity m_SetQuantityDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00100">expansionmenudialog_marketsetquantity.c:100</a></div></div>
<div class="ttc" id="aa06226_html"><div class="ttname"><a href="../../d1/d8c/a06226.html">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00138">expansionmenudialog_marketsetquantity.c:139</a></div></div>
<div class="ttc" id="aa06226_html_a1df089b89251995637deee7bcb32f1f5"><div class="ttname"><a href="../../d1/d8c/a06226.html#a1df089b89251995637deee7bcb32f1f5">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel::m_SetQuantityDialog</a></div><div class="ttdeci">ref ExpansionMenuDialog_MarketSetQuantity m_SetQuantityDialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00140">expansionmenudialog_marketsetquantity.c:140</a></div></div>
<div class="ttc" id="aa06226_html_a2aa2a7505485efe83c4db272d01f4461"><div class="ttname"><a href="../../d1/d8c/a06226.html#a2aa2a7505485efe83c4db272d01f4461">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel::ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel</a></div><div class="ttdeci">void ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00145">expansionmenudialog_marketsetquantity.c:145</a></div></div>
<div class="ttc" id="aa06226_html_a2d66b091252441efa0817832f0ac62fe"><div class="ttname"><a href="../../d1/d8c/a06226.html#a2d66b091252441efa0817832f0ac62fe">ExpansionMenuDialogButton_Text_MarketSetQuantity_Cancel::OnButtonClick</a></div><div class="ttdeci">override void OnButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dec/a01952_source.html#l00158">expansionmenudialog_marketsetquantity.c:158</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de01f721d980e2c6da889118cf0e6fd3.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_26918351a49db03189baa31a712a4aaa.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_79e3188851965f986043da0d6157c592.html">market</a></li><li class="navelem"><a class="el" href="../../d4/dec/a01952.html">expansionmenudialog_marketsetquantity.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
